# HCal segmentation example Example 

To run the example, please follow these steps:

1. Download the latest `eic-shell` container in your location of preference:
```bash
curl https://eicweb.phy.anl.gov/containers/eic_container/-/raw/master/install.sh | bash
```

2. Start eic-shell from this location:
```bash
eic-shell
```

3. Load the canyonlands v2.1 detector:
```bash
source /opt/detector/athena-canyonlands-v2.1/setup.sh
```

4. Go to your directory where you unpacked this example, and execute the root macro in
   compiled mode (it will NOT work in normal interpreted mode):
```bash
root -q -b hcal_segmentation.cxx+
```

5. That's all!
